opensesh docs

Get the communication center

GET
/events/{eventId}/communications

Templates, campaign history, reminder rules, and per-speaker email history.

Authorization

bearerAuth
AuthorizationBearer <token>

An organization API key (osk_…)

In: header

Path Parameters

eventId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/events/string/communications"
{  "eventName": "string",  "eventSlug": "string",  "contacts": [    {      "id": "string",      "email": "string",      "firstName": "string",      "lastName": "string",      "headshotUrl": "string",      "title": "string",      "company": "string",      "workflowStatus": "invited",      "taskTotal": 0,      "taskDone": 0,      "taskIncomplete": 0,      "talkTitle": "string"    }  ],  "templates": [    {      "id": "string",      "createdAt": "string",      "updatedAt": "string",      "eventId": "string",      "name": "string",      "subjectTemplate": "string",      "bodyTemplate": "string",      "mergeFields": [        "string"      ]    }  ],  "campaigns": [    {      "campaign": {        "id": "string",        "createdAt": "string",        "updatedAt": "string",        "eventId": "string",        "templateId": "string",        "subjectSnapshot": "string",        "bodySnapshot": "string",        "recipientFilter": {},        "status": "draft",        "createdByUserId": "string",        "createdByApiKeyId": "string",        "sentAt": "string"      },      "templateName": "string",      "recipients": [        {          "id": "string",          "contactId": "string",          "contactName": "string",          "email": "string",          "resolvedSubject": "string",          "resolvedBody": "string",          "deliveryStatus": "pending",          "emailLogId": "string",          "emailStatus": "queued"        }      ]    }  ],  "reminderRules": [    {      "id": "string",      "createdAt": "string",      "updatedAt": "string",      "eventId": "string",      "scope": "contact",      "taskType": "string",      "daysBeforeDue": 0,      "enabled": true,      "lastRunAt": "string"    }  ]}